Skip to main content
GET
/
apps
/
{appId}
/
schemas
List Schemas
curl --request GET \
  --url https://api.vela.dev/v1/apps/{appId}/schemas \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "appId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "eventName": "<string>",
    "description": "<string>",
    "fields": [
      {
        "id": "<string>",
        "name": "<string>",
        "type": "string",
        "required": false,
        "enumValues": [
          "<string>"
        ]
      }
    ],
    "metadataFields": [
      {
        "id": "<string>",
        "name": "<string>",
        "type": "string",
        "required": false,
        "enumValues": [
          "<string>"
        ]
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Client secret for management API access. Format: vela_cs_...

Path Parameters

appId
string
required

App UUID or slug

Response

200 - application/json

List of schemas

id
string

Schema identifier

appId
string<uuid>

Associated app

eventName
string

Event name (unique per app)

description
string

Human-readable description

fields
object[]

Event data field definitions

metadataFields
object[]

Metadata field definitions

createdAt
string<date-time>
updatedAt
string<date-time>